import { NewWindow, Cover } from './ctr';
import ApplicationLauncher from './core';
export declare abstract class Application {
    readonly abstract name: string;
    readonly launcher: ApplicationLauncher;
    constructor(launcher: ApplicationLauncher);
    triggerLaunch(args: Dict): void;
    triggerLoad(): void;
    triggerUnload(): void;
    top(): NewWindow<Cover> | null;
    bottom(): NewWindow<Cover> | null;
}
